/*//////////////////////////////////////////////////////////////////////////////////////////*/
/* CUSTOM CSS (ADD YOUR CSS HERE!) */
/*//////////////////////////////////////////////////////////////////////////////////////////*/

/* Checkbox styles */
.checkbox {
  position: absolute;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.checkbox-label {
  cursor: pointer;
  position: relative;
  display: block;
  width: 60px;
  height: 30px;
  border-radius: 5px;
  background: #EEEEEE;
}

.checkbox-label:before {
  position: absolute;
  left: 2px;
  top: 2px;
  display: block;
  content: "";
  width: 22px;
  height: 26px;
  border-radius: 15%;
  background: #fff;
  transition: .3s;
}

.checkbox:checked + .checkbox-label {
  background-color: #2489C5;
}

.checkbox:checked + .checkbox-label:before {
  left: calc(100% - 24px);
}

.checkbox:focus {
  outline: none !important;
}

/* .icon {
  width: 20px;
  height: 20px;
  margin-right: .5rem !important;
} */

/* Добавляем новый стиль */
.btn-app.inline-icon .fa {
  display: inline-block; /* Сделаем иконку строчно-блочным элементом */
  vertical-align: middle; /* Выравниваем по вертикали по центру */
  margin-right: 5px; /* Добавляем небольшой отступ между иконкой и текстом */
}

/* Another styles */
.login-logo img {
  display: block;
  margin: 0 auto;
  max-width: 360px;
  max-height: 200px;
}

.grey {
  color: #687389;
  margin-top: 20px;
  font-weight: 500;
}

#div_loader{
  display: none;
  padding-bottom: 20px;
}

.uppercase{
	text-transform:uppercase;
}

.pull-right {
  float: right;
}

input[type=checkbox], input[type=radio] {
    margin: 4px 0 12px;
    line-height: 20px;
}

@media (max-width: 991px) {
  .div_margin {
    margin-bottom:10px;
  }
  .pull-right {
    float: left !important;
  }
}



/* Container needed to position the overlay. Adjust the width as needed */
.container_img_sl {
  position: relative;
  width: 100%;
  max-width: 128px;
  float: left;
  margin: 0 7px 7px 0;
  overflow: hidden;
  border: 1px solid #cccccc; /* Добавляем рамку обратно */
  box-sizing: border-box; /* Учитываем рамку в расчете размера контейнера */
  display: flex; /* Используем flexbox для центрирования по горизонтали */
  justify-content: center; /* Центрируем по горизонтали */
  align-items: center; /* Центрируем по вертикали */
}

/* Make the image to responsive */
.image_img_sl {
  max-width: 100%; /* Максимальная ширина изображения равная размеру контейнера */
  height: 96px; /* Устанавливаем фиксированную высоту для изображений */
  display: block;
  object-fit: contain; /* Вписываем изображение в контейнер */
  padding: 2px;
}

/* The overlay effect (full height and width) - lays on top of the container and over the image */
.overlay_img_sl {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .3s ease;
  background-color: #222D32;
}

/* When you mouse over the container, fade in the overlay icon*/
.container_img_sl:hover .overlay_img_sl {
  opacity: 0.8;
}

/* The icon inside the overlay is positioned in the middle vertically and horizontally */
.icon_img_sl {
  color: white;
  font-size: 40px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

/* When you move the mouse over the icon, change color */
.fa-close:hover {
  color: #ff0000;
}

.fa-download:hover {
  color: #00a65a;
}

.table_td130{
	width: 130px;
}

/* Стили выпадающего списка опций */
.custom-select {
    position: relative;
    display: inline-block;
    border-radius: 4px; /* Скругление краев */
    overflow: hidden; /* Скрытие внешней границы */
    width: auto; /* Автоматическая ширина */
    padding: 6px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: left;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.image-container {
  position: relative;
  width: 106px; /* Ширина контейнера совпадает с шириной изображения */
  height: auto; /* Автоматическая высота */
}

.sold-out-overlay {
  position: absolute;
  top: 50%; /* Центрируем по вертикали */
  left: 50%; /* Центрируем по горизонтали */
  transform: translate(-50%, -50%); /* Сдвигаем на половину ширины и высоты */
  width: 100%; /* Ширина наложенного изображения как процент от контейнера */
  max-width: 106px; /* Максимальная ширина наложенного изображения */
  height: auto;
  z-index: 1;
}

.venduto-img {
    max-width: 100%;
    height: auto;
}
.venduto-visible {
    display: block;
}
.venduto-hidden {
    display: none;
}

#a {
  display: none;
}
#b {
  display: none;
}

.superadmin-fieldset {
  border: 1px solid #ddd;
  padding: 15px;
  border-radius: 5px;
  margin-bottom: 20px;
}
.superadmin-fieldset legend {
  font-size: 16px;
  font-weight: bold;
  padding: 5px 10px;
  width: auto;
  border-bottom: none;
}

.superadmin-fieldset2 {
  margin: 20px 0;
  border-top: 1px solid #ddd;
}
.superadmin-fieldset2 legend {
  font-size: 16px;
  font-weight: bold;
  padding: 5px 10px;
  width: auto;
  border-bottom: none;
}